feeds.launchpad.net/ubuntu/latest-bugs.atom choked

Bug #1592186 reported by C de-Avillez on 2016-06-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Maximiliano Bertacchini

Bug Description

As of today n or after 15:28 UTC feeds.lp.net/ubuntu/latest-bugs returns "the information on this page is private".

chatted with cjwatson on #launchpad about this:

22:34 <hggdh> does http://feeds.launchpad.net/ubuntu/latest-bugs.atom now require a login to get the feed?
22:34 <hggdh> or did the URL change?
22:35 <hggdh> hum. Works for fuel
22:35 <cjwatson> hggdh: I think that's a bug. My guess is that there's something private in that collection that the feed is failing to filter out.
22:37 <hggdh> cjwatson: ah. Even if I try to login (thru the login/register button at the right) it fails because it gets to http://feeds.launchpad.net/ubuntu/latest-bugs.atom/+login
22:37 <cjwatson> A little difficult to tell what since I don't actually have a way to log into that feed and feeds.launchpad.net doesn't have my usual debugging tools ...
22:37 <hggdh> and this is a 404
22:37 <cjwatson> Indeed
22:37 <cjwatson> Hm, the feed *tries* to filter out private bugs.
22:38 <hggdh> it did succeed previously. #-bugs-announce has been feeding off it for some years now
22:39 <cjwatson> Yeah, it will probably work again once data cycles a bit
22:40 <hggdh> good enough. Last successful feed was at 15:28 UTC, so I am guessing the cycle is a bit larger than 7 hours :-)
22:40 <cjwatson> My guess is that one of the bugs in the topmost batch is either assigned to a private team or has a task on a private project
22:40 <hggdh> mwanwhile I will stop looking at the feeder code, and just restart the beast
22:45 <cjwatson> Ah yes, here we go
22:45 <cjwatson> There are several bugs in the first batch that are assigned to a private team
22:45 <cjwatson> hggdh: Could you please file a bug about this? It shouldn't be desperately hard to fix
22:48 <hggdh> cjwatson: against which package/component?
22:49 <cjwatson> hggdh: Launchpad itself
22:49 <hggdh> ack, on it

So, this bug.

Related branches

Colin Watson (cjwatson) on 2016-06-13
tags: added: feeds lp-bugs privacy trivial
Changed in launchpad:
status: New → Triaged
importance: Undecided → High
Khurshid Alam (khurshid-alam) wrote :

It works for me. Tue Jun 14 13:41:03 IST 2016

Colin Watson (cjwatson) wrote :

Khurshid: Thanks, but it's expected that this bug will appear and disappear over time depending on the properties of the most recent bugs in Ubuntu, so "works for me"-type reports aren't informative here.

Changed in launchpad:
assignee: nobody → Maximiliano Bertacchini (maxiberta)
status: Triaged → In Progress
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
Changed in launchpad:
status: In Progress → Fix Committed
Colin Watson (cjwatson) on 2016-07-28
tags: added: qa-ok
removed: qa-needstesting
William Grant (wgrant) on 2016-07-29
Changed in launchpad:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers